package com.steerinfo.baseinfo.meterbasematterinfomatch.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel(value="计量物料配置表")
public class MeterBaseMatterInfoMatch implements IBasePO<String> {
    /**
     * 物料名称(MATTER_NAME,VARCHAR,200)
     */
    @ApiModelProperty(value="物料名称",required=true)
    private String matterName;

    /**
     * 老系统物资名称(MATTER_NAME_OLD,VARCHAR,200)
     */
    @ApiModelProperty(value="老系统物资名称",required=false)
    private String matterNameOld;

    /**
     * 老系统物资类别(MATTER_NAME_TYPE,VARCHAR,200)
     */
    @ApiModelProperty(value="老系统物资类别",required=false)
    private String matterNameType;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=false)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=false)
    private String createManName;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    /**
     * 删除时间（YYYY-MM-DD HH:mm:SS）(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date deleteTime;

    @ApiModelProperty(value="",required=false)
    private String meterCode;

    /**
     * 临时字段，此处用来标识是否已经匹配老系统的信息（0=未匹配；1=已匹配）(ALLOWED_TARE_WEIGHT,VARCHAR,1)
     */
    @ApiModelProperty(value="临时字段，此处用来标识是否已经匹配老系统的信息（0=未匹配；1=已匹配）",required=false)
    private String allowedTareWeight;

    @ApiModelProperty(value="",required=false)
    private String allowedAddWeight;

    /**
     * 规格(SPEC_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="规格",required=false)
    private String specName;

    /**
     * 物资名称检化验(MATTER_NAME_JHY,VARCHAR,200)
     */
    @ApiModelProperty(value="物资名称检化验",required=false)
    private String matterNameJhy;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.matterName;
    }

    @Override
    public void setId(String matterName) {
        this.matterName = matterName == null ? null : matterName.trim();
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName == null ? null : matterName.trim();
    }

    public String getMatterNameOld() {
        return matterNameOld;
    }

    public void setMatterNameOld(String matterNameOld) {
        this.matterNameOld = matterNameOld == null ? null : matterNameOld.trim();
    }

    public String getMatterNameType() {
        return matterNameType;
    }

    public void setMatterNameType(String matterNameType) {
        this.matterNameType = matterNameType == null ? null : matterNameType.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    public String getMeterCode() {
        return meterCode;
    }

    public void setMeterCode(String meterCode) {
        this.meterCode = meterCode == null ? null : meterCode.trim();
    }

    public String getAllowedTareWeight() {
        return allowedTareWeight;
    }

    public void setAllowedTareWeight(String allowedTareWeight) {
        this.allowedTareWeight = allowedTareWeight == null ? null : allowedTareWeight.trim();
    }

    public String getAllowedAddWeight() {
        return allowedAddWeight;
    }

    public void setAllowedAddWeight(String allowedAddWeight) {
        this.allowedAddWeight = allowedAddWeight == null ? null : allowedAddWeight.trim();
    }

    public String getSpecName() {
        return specName;
    }

    public void setSpecName(String specName) {
        this.specName = specName == null ? null : specName.trim();
    }

    public String getMatterNameJhy() {
        return matterNameJhy;
    }

    public void setMatterNameJhy(String matterNameJhy) {
        this.matterNameJhy = matterNameJhy == null ? null : matterNameJhy.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", matterName=").append(matterName);
        sb.append(", matterNameOld=").append(matterNameOld);
        sb.append(", matterNameType=").append(matterNameType);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", deleteManNo=").append(deleteManNo);
        sb.append(", deleteManName=").append(deleteManName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", meterCode=").append(meterCode);
        sb.append(", allowedTareWeight=").append(allowedTareWeight);
        sb.append(", allowedAddWeight=").append(allowedAddWeight);
        sb.append(", specName=").append(specName);
        sb.append(", matterNameJhy=").append(matterNameJhy);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}